aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/macos
diff options
context:
space:
mode:
authorLiang Qi <liang.qi@qt.io>2019-01-02 10:46:49 +0100
committerLiang Qi <liang.qi@qt.io>2019-01-02 10:46:49 +0100
commit38e2fc6b808186b41183b6e4601c086dc81d35bf (patch)
treec1b2faecf005d02b94a1f8c2cd423aff3a06c78d /coin/provisioning/common/macos
parentda65a37041aa35a719130050cebad3ea0356e059 (diff)
parentb6283a31c8db19d6d1939957a503e25b98394507 (diff)
Merge remote-tracking branch 'origin/5.12' into dev
Conflicts: .gitmodules coin/provisioning/common/linux/docker_testserver.sh coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh Done-With: Ryan Chu <ryan.chu@qt.io> Change-Id: I9bc3afcb50783a9f0f7718731d237de4be287cae
Diffstat (limited to 'coin/provisioning/common/macos')
-rwxr-xr-xcoin/provisioning/common/macos/fbx_macos.sh30
-rwxr-xr-xcoin/provisioning/common/macos/libiodbc.sh54
2 files changed, 63 insertions, 21 deletions
diff --git a/coin/provisioning/common/macos/fbx_macos.sh b/coin/provisioning/common/macos/fbx_macos.sh
index 7e58a107..e9b7c689 100755
--- a/coin/provisioning/common/macos/fbx_macos.sh
+++ b/coin/provisioning/common/macos/fbx_macos.sh
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -39,33 +39,21 @@ set -ex
# shellcheck source=../unix/SetEnvVar.sh
source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
-fileName="fbx20161_2_fbxsdk_clang_mac.pkg.tgz"
-targetFolder="/opt/fbx"
+version="2016.1.2"
+fileName="fbx20161_2_fbxsdk_clang_mac.pkg_nospace.tgz"
cachedUrl="/net/ci-files01-hki.intra.qt.io/hdd/www/input/fbx/$fileName"
-officialUrl="http://download.autodesk.com/us/fbx_release_older/2016.1.2/$fileName"
-sha1="f82535423c700c605320c52e13e781c92208ec6b"
+# officialUrl="http://download.autodesk.com/us/fbx_release_older/$version/fbx20161_2_fbxsdk_clang_mac.pkg.tgz"
targetFolder="/tmp"
-targetFile="$targetFolder/$fileName"
-installer="$targetFolder/fbx20161_2_fbxsdk_clang_macos.pkg"
echo "Extracting '$cachedUrl'"
-tar -xzf "$cachedUrl" -C "$targetFolder" || (
- echo "Failed to uncompress from '$cachedUrl'"
- echo "Downloading from '$officialUrl'"
- curl --fail -L --retry 5 --retry-delay 5 -o "$targetFile" "$officialUrl"
- echo "Checking SHA1 on PKG '$targetFile'"
- echo "$sha1 *$targetFile" > $targetFile.sha1
- shasum --check $targetFile.sha1
- echo "Extracting '$targetFile'"
- tar -xzf "$targetFile" -C "$targetFolder"
-)
+tar -xzf "$cachedUrl" -C "$targetFolder"
-rm -rf "$targetFile"
-echo "Running installer for '$installer'"
-sudo installer -pkg "$installer" -target "/"
+rm -rf "$targetFolder/$fileName"
+echo "Copying preinstalled FBX SDK to Applications"
+sudo cp -r "$targetFolder/Autodesk" /Applications
# Set env variables
-SetEnvVar "FBXSDK" "/Applications/Autodesk/FBX\ SDK/2016.1.2/"
+SetEnvVar "FBXSDK" "/Applications/Autodesk/FBXSDK/2016.1.2/"
echo "FBX SDK = 2016.1.2" >> ~/versions.txt
diff --git a/coin/provisioning/common/macos/libiodbc.sh b/coin/provisioning/common/macos/libiodbc.sh
new file mode 100755
index 00000000..6c10ccbf
--- /dev/null
+++ b/coin/provisioning/common/macos/libiodbc.sh
@@ -0,0 +1,54 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Install libiodbc
+
+set -ex
+
+# shellcheck source=../unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
+
+brew update
+brew install libiodbc
+
+# CPLUS_INCLUDE_PATH is set so clang and configure can find libiodbc
+
+read -r -a arr <<< $(brew list --versions libiodbc)
+version=${arr[1]}
+
+SetEnvVar "CPLUS_INCLUDE_PATH" "/usr/local/Cellar/libiodbc/$version/include:$CPLUS_INCLUDE_PATH"
+SetEnvVar "LIBRARY_PATH" "/usr/local/Cellar/libiodbc/$version/lib:$LIBRARY_PATH"
+
+echo "libiodbc = $version" >> ~/versions.txt